"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerConfigurationLoader = void 0;
const path_1 = __importDefault(require("path"));
const lodash_1 = __importDefault(require("lodash"));
class ServerConfigurationLoader {
    constructor(options) {
        this.options = options;
    }
    load(options) {
        options = lodash_1.default.assign({}, this.options, options);
        const optionsDir = path_1.default.join(options.dirname, options.basePath);
        const optionsBaseFilePath = path_1.default.join(optionsDir, options.namespace);
        const optionsEnvFilePath = path_1.default.join(optionsBaseFilePath + '.' + process.env.NODE_ENV);
        let optionsBase;
        try {
            optionsBase = require(optionsBaseFilePath);
        }
        catch (err) {
            optionsBase = {};
        }
        let optionsEnv;
        try {
            optionsEnv = require(optionsEnvFilePath);
        }
        catch (err) {
            optionsEnv = {};
        }
        const result = lodash_1.default.merge({}, optionsBase, optionsEnv);
        return result;
    }
}
exports.ServerConfigurationLoader = ServerConfigurationLoader;
//# sourceMappingURL=index.js.map